<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmUnlockOpReply Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmUnlockOpReply Enumeration

Visual Basic
C#
C++/CLI
Types of operations returned from your IEdmUnlockOpCallback::MsgBox method if you implement an IEdmUnlockOpCallback interface to use with the IEdmBatchUnlock interface.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmUnlockOpReply
       Inherits System.Enum

C# |
--- | ---

    public enum EdmUnlockOpReply : System.Enum

C++/CLI |
--- | ---

    public enum class EdmUnlockOpReply : public System.Enum

# Members

Member | Description
--- | ---
Euor_Cancel | 1 = Cancel the entire operation
Euor_ClearVar | 10 = Clear the value of the conflicting unique variable
Euor_Error | -1 = Internal error code; typically not returned by you
Euor_OK | 0 = Continue the operation
Euor_Retry | 12 = Retry operation
Euor_SkipFile | 11 = Continue the operation, but skip this particular file

# Remarks

The return value tells SOLIDWORKS PDM Professional what to do.

# See Also

####

EPDM.Interop.epdm Namespace